### Hierarchy

- unknown
  - UpholdAccountPayload

## Index

### Constructors

- constructor

### Methods

- getAccountId
- getAccountOwner
- serializeBinary
- setAccountId
- setAccountOwner
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new UpholdAccountPayload(): UpholdAccountPayload

- Inherited from jspb.Message.constructor

  #### Returns UpholdAccountPayload

## Methods

### getAccountId

- getAccountId(): string

- - Defined in src/protobuf/pb_pb.d.ts:5124

  #### Returns string

### getAccountOwner

- getAccountOwner(): string

- - Defined in src/protobuf/pb_pb.d.ts:5127

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:5130

  #### Returns Uint8Array

### setAccountId

- setAccountId(value: string): UpholdAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5125

  #### Parameters

  - ##### value: string

  #### Returns UpholdAccountPayload

### setAccountOwner

- setAccountOwner(value: string): UpholdAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5128

  #### Parameters

  - ##### value: string

  #### Returns UpholdAccountPayload

### toObject

- toObject(includeInstance?: boolean): UpholdAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5131

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns UpholdAccountPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): UpholdAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5134

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns UpholdAccountPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: UpholdAccountPayload, reader: BinaryReader): UpholdAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5135

  #### Parameters

  - ##### message: UpholdAccountPayload

  - ##### reader: BinaryReader

  #### Returns UpholdAccountPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: UpholdAccountPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:5133

  #### Parameters

  - ##### message: UpholdAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: UpholdAccountPayload ): UpholdAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5132

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: UpholdAccountPayload

  #### Returns UpholdAccountPayload . AsObject

Generated using TypeDoc